%global	__requires_exclude  pear\\(tests/HTTP_Request2/NetworkConfig.php\\)|pear\\(PHPUnit/Framework.php\\)
%define upstream_name HTTP_Request2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.5.1
Release:     	%mkrel 2
Summary:    	Provides an easy way to perform HTTP requests
License: 	BSD License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/HTTP_Request2-%{version}.tgz
URL: 		https://pear.php.net/package/HTTP_Request2
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-Net_URL2 >= 2.0.0
Requires:	php-pear >= 1.5.4
BuildArch: 	noarch

%description
PHP5 rewrite of HTTP_Request package (with parts of HTTP_Client). Provides
cleaner API and pluggable Adapters:
  * Socket adapter, based on old HTTP_Request code,
  * Curl adapter, wraps around PHP's cURL extension,
  * Mock adapter, to use for testing packages dependent on HTTP_Request2.
Supports POST requests with data and file uploads, basic and digest 
authentication, cookies, managing cookies across requests, proxies, gzip
and
deflate encodings, redirects, monitoring the request progress with
Observers...

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTTP_Request2.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTTP_Request2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTTP_Request2
fi

%files
%doc docs/HTTP_Request2/*
%{peardir}/*
%{xmldir}/HTTP_Request2.xml


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.5.1-2.mga9
+ Revision: 1821003
- Mageia 9 Mass Rebuild

* Wed Jan 12 2022 mokraemer <mokraemer> 2.5.1-1.mga9
+ Revision: 1768073
- new version 2.5.1

* Mon Jul 26 2021 mokraemer <mokraemer> 2.5.0-1.mga9
+ Revision: 1737864
- new version 2.5.0

* Tue Sep 29 2020 mokraemer <mokraemer> 2.4.2-1.mga8
+ Revision: 1631104
- new version 2.4.2

* Sat Aug 01 2020 mokraemer <mokraemer> 2.4.1-1.mga8
+ Revision: 1610306
- new version 2.4.1

* Wed Feb 12 2020 umeabot <umeabot> 2.3.0-3.mga8
+ Revision: 1499015
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.3.0-2.mga7
+ Revision: 1273239
- Mageia 7 Mass Rebuild

* Sun Mar 13 2016 spuhler <spuhler> 2.3.0-1.mga6
+ Revision: 990275
- upgrade to vers. 2.3.0

* Sat Feb 06 2016 umeabot <umeabot> 2.2.1-4.mga6
+ Revision: 940808
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-3.mga5
+ Revision: 746586
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-2.mga5
+ Revision: 687296
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sun Jul 06 2014 spuhler <spuhler> 2.2.1-1.mga5
+ Revision: 643996
- upgrade to ver. 2.2.1

* Fri Oct 18 2013 umeabot <umeabot> 2.1.1-3.mga4
+ Revision: 516838
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.1.1-2.mga3
+ Revision: 376328
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 spuhler <spuhler> 2.1.1-1.mga3
+ Revision: 275511
- upgrade to 2.1.1

* Sun Jan 15 2012 spuhler <spuhler> 2.0.0-3.mga2
+ Revision: 196209
- added exceptions pear(PHPUnit/Framework.php)

* Sat Jan 14 2012 spuhler <spuhler> 2.0.0-2.mga2
+ Revision: 196181
- added requires exception for missing file

* Sat Jan 14 2012 spuhler <spuhler> 2.0.0-1.mga2
+ Revision: 196052
- imported package php-pear-HTTP_Request2

